Subject: bug#70002: closed (Re: bug#70002: 29.2; GTK3 mouse wheel scrolling)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Mar 2025 03:05:02 +0000

Your bug report

#70002: 29.2; GTK3 mouse wheel scrolling

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70002: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70002
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70002: 29.2; GTK3 mouse wheel scrolling
From: Stefan Kangas <[email-masked]>
To: Po Lu <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, "[email-masked]" <[email-masked]>, "Sparapani, Rodney" <[email-masked]>
Date: Fri, 28 Feb 2025 19:04:13 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Po Lu <[email-masked]> writes:

> "Sparapani, Rodney" <[email-masked]> writes:
>
>> So #69870 and #70002 are still open bugs.  But, my users will be
>> very happy that the scroll-bars, menu-bar and mouse-wheel are
>> now working!  Thanks for your diligent support of emacs.  Not many
>> software packages that were invented in the 70s are still around.
>
> I'm glad you've found an acceptable solution.  Thanks for your interest
> in Emacs.

It seems like this was fixed, so I'm closing this bug report.

Subject: 29.2; GTK3 mouse wheel scrolling
From: "Sparapani, Rodney" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 25 Mar 2024 19:21:40 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

--text follows this line--

First I just pick a large file.  Then I try to scroll down.  This works
with both the LUCID and MOTIF builds that I have made on this system.
But with GTK3 there is a big lag where nothing happens. In this case,
I counted 13s.  Then there is a scroll.  Here's what view-lossage shows...

<help-echo> <help-echo> <help-echo> <help-echo> <menu-bar> <file> <Open Recent> </data/shared/bnp/navy/dmale_status/efssex.Rout> ;; recentf-open-most-recent-file-3
<touch-end>         ;; ignore
<wheel-down>                     ;; mwheel-scroll
<touch-end>         ;; ignore
<double-wheel-down> ;; mwheel-scroll
<touch-end>         ;; ignore
<triple-wheel-down> ;; mwheel-scroll
<touch-end>         ;; ignore
<triple-wheel-down> ;; mwheel-scroll
<touch-end>         ;; ignore
<triple-wheel-down> ;; mwheel-scroll
<touch-end>         ;; ignore
<triple-wheel-down> ;; mwheel-scroll
<touch-end>         ;; ignore
<touch-end>         ;; ignore
<touch-end>         ;; ignore
<triple-wheel-down> ;; mwheel-scroll
<touch-end>         ;; ignore
<triple-wheel-down> ;; mwheel-scroll
<touch-end>         ;; ignore
<touch-end>         ;; ignore
<touch-end>         ;; ignore
<triple-wheel-down> ;; mwheel-scroll
<touch-end>         ;; ignore
<touch-end>         ;; ignore
<touch-end>         ;; ignore
<triple-wheel-down> ;; mwheel-scroll
<touch-end>         ;; ignore
<touch-end>         ;; ignore
<touch-end>         ;; ignore
<touch-end>         ;; ignore
<touch-end>         ;; ignore
<triple-wheel-down> ;; mwheel-scroll
<touch-end>         ;; ignore
<touch-end>         ;; ignore
<touch-end>         ;; ignore
<touch-end>         ;; ignore
<touch-end>         ;; ignore
<touch-end>         ;; ignore
<touch-end>         ;; ignore
<touch-end>         ;; ignore
<touch-end>         ;; ignore
<touch-end>         ;; ignore
<touch-end>         ;; ignore
<f1> l                        ;; view-lossage

In GNU Emacs 29.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.30,
cairo version 1.15.12) of 2024-03-22 built on gouda.biostat.mcw.edu
Windowing system distributor 'The X.Org Foundation', version 11.0.12101006
System Description: CentOS Linux 7 (Core)

Configured using:
'configure --prefix=/usr/local/emacs/29.2/gtk --with-x-toolkit=gtk
--with-gnutls 'CFLAGS=-g -O2 -mtune=native''

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG
LIBSELINUX LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG SOUND THREADS TIFF
TOOLKIT_SCROLL_BARS X11 XDBE XIM XINPUT2 XPM GTK3 ZLIB

Important settings:
  value of $LC_ALL: C
  value of $LANG: en_US.UTF-8
  locale-coding-system: nil

Major mode: Help

Minor modes in effect:
  delete-selection-mode: t
  recentf-mode: t
  dired-omit-mode: t
  tabbar-mwheel-mode: t
  tabbar-mode: t
  shell-dirtrack-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  isearch-fold-quotes-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/home/rsparapa/.emacs.d/elpa/julia-mode-0.4/julia-mode-latexsubs hides /usr/local/emacs/29.2/gtk/share/emacs/site-lisp/ess/lisp/julia-mode-latexsubs
/home/rsparapa/.emacs.d/elpa/julia-mode-0.4/julia-mode hides /usr/local/emacs/29.2/gtk/share/emacs/site-lisp/ess/lisp/julia-mode
/usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-R/targets/test hides /usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-markdown/targets/test
/usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-R/targets/melpa hides /usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-markdown/targets/melpa
/usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-R/targets/melpa-init hides /usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-markdown/targets/melpa-init
/usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-R/targets/local hides /usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-markdown/targets/local
/usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-R/targets/lint hides /usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-markdown/targets/lint
/usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-R/targets/checkdoc hides /usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-markdown/targets/checkdoc
/usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-R/targets/test hides /usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-noweb/targets/test
/usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-R/targets/melpa hides /usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-noweb/targets/melpa
/usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-R/targets/melpa-init hides /usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-noweb/targets/melpa-init
/usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-R/targets/local hides /usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-noweb/targets/local
/usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-R/targets/lint hides /usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-noweb/targets/lint
/usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-R/targets/checkdoc hides /usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-noweb/targets/checkdoc
/usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-markdown/targets/utils hides /usr/local/emacs/29.2/gtk/share/emacs/site-lisp/polymode/template/targets/utils
/usr/local/emacs/29.2/gtk/share/emacs/site-lisp/polymode/targets/poly-targets hides /usr/local/emacs/29.2/gtk/share/emacs/site-lisp/polymode/template/targets/poly-targets
/usr/local/emacs/29.2/gtk/share/emacs/site-lisp/ess-smart-equals/features/support/env hides /usr/local/emacs/29.2/gtk/share/emacs/29.2/lisp/env
/usr/local/emacs/29.2/gtk/share/emacs/site-lisp/poly-R/targets/checkdoc hides /usr/local/emacs/29.2/gtk/share/emacs/29.2/lisp/emacs-lisp/checkdoc

Features:
(shadow sort mail-extr emacsbug message yank-media puny rfc822 mml
mml-sec epa epg rfc6068 epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils ffap sh-script
smie treesit executable ess-font-lock ess-site ess-toolbar ess-jags-d
ess-bugs-d ess-bugs-l essd-els ess-sas-d ess-sas-l ess-sas-a ess-sp6-d
doc-view filenotify jka-compr image-mode exif tex-site auto-loads delsel
recentf tree-widget ps-print ps-print-loaddefs lpr dired-x dired
dired-loaddefs tabbar poly-R poly-markdown poly-noweb polymode poly-lock
polymode-base polymode-export polymode-weave polymode-compat advice
polymode-methods polymode-core polymode-classes eieio-custom wid-edit
eieio-base markdown-mode pcase color tsdh-dark-theme stan-snippets
yasnippet easy-mmode stan-mode derived stan-keywords-lists cc-langs
cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine
cc-vars cc-defs word-count ess-smart-equals cl-extra help-mode
ess-r-mode ess-r-flymake flymake-proc flymake warnings thingatpt
ess-r-xref xref ess-trns ess-r-package ess-r-completion ess-roxy
ess-r-syntax ess-rd noutline outline icons hideshow ess-s-lang ess-help
info ess-mode ess-inf ess-tracebug tramp tramp-loaddefs trampver
tramp-integration files-x tramp-compat rx shell pcomplete parse-time
iso8601 time-date format-spec ess lisp-mnt ess-utils ess-custom project
compile text-property-search comint ansi-osc ansi-color skeleton viper
viper-cmd viper-macs viper-ex viper-mous viper-keym viper-util ring
viper-init finder-inf julia-mode-autoloads package browse-url url
url-proxy url-privacy url-expand url-methods url-history url-cookie
generate-lisp-file url-domsuf url-util mailcap url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs password-cache json subr-x
map byte-opt gv bytecomp byte-compile url-vars cl-loaddefs cl-lib rmc
iso-transl tooltip cconv eldoc paren electric uniquify ediff-hook
vc-hooks lisp-float-type elisp-mode mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode lisp-mode prog-mode register
page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
frame minibuffer nadvice seq simple cl-generic indonesian philippine
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help abbrev obarray oclosure
cl-preloaded button loaddefs theme-loaddefs faces cus-face macroexp
files window text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget keymap hashtable-print-readable backquote
threads dbusbind inotify dynamic-setting system-font-setting
font-render-setting cairo move-toolbar gtk x-toolkit xinput2 x multi-tty
make-network-process emacs)

Memory information:
((conses 16 411633 19704)
(symbols 48 26721 0)
(strings 32 113091 5112)
(string-bytes 1 3232606)
(vectors 16 43407)
(vector-slots 8 649812 21176)
(floats 8 469 22)
(intervals 56 420 0)
(buffers 976 18)
(heap 1024 31921 2000))

--
Rodney Sparapani, Associate Professor of Biostatistics, He/Him/His
Vice President, Wisconsin Chapter of the American Statistical Association
Institute for Health and Equity, Division of Biostatistics
Medical College of Wisconsin, Milwaukee Campus

If this is outside of working hours, then please respond when convenient.